{{#if @showInput}}
  <input ...attributes {{did-insert this.setup}} {{did-update this.setValue @value}} {{on "changeDate" this.change}} />
{{else}}
  <div class="day-selector" ...attributes {{did-insert this.setup}} {{did-update this.setValue @value}} {{on "changeDate" this.change}}></div>
{{/if}}